from geruecht.logger import getLogger
from geruecht.configparser import ConifgParser
import os

print(os.getcwd())

config = ConifgParser('geruecht/config.yml')

LOGGER = getLogger(__name__)

class Singleton(type):
    _instances = {}
    def __call__(cls, *args, **kwargs):
        if cls not in cls._instances:
            cls._instances[cls] = super(Singleton, cls).__call__(*args, **kwargs)
        return cls._instances[cls]

dbConfig = config.getDatabase()
ldapConfig = config.getLDAP()
accConfig = config.getAccessToken()
mailConfig = config.getMail()
